VERSION 2.00
Begin Form STATUS 
   Caption         =   "Status"
   ClientHeight    =   7125
   ClientLeft      =   2670
   ClientTop       =   1035
   ClientWidth     =   6090
   Height          =   7815
   Left            =   2610
   LinkTopic       =   "Form1"
   ScaleHeight     =   7125
   ScaleWidth      =   6090
   Top             =   405
   Width           =   6210
   Begin TextBox ePass 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      PasswordChar    =   "*"
      TabIndex        =   2
      Top             =   960
      Width           =   3495
   End
   Begin TextBox eUser 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   3
      Top             =   600
      Width           =   3495
   End
   Begin TextBox eResult 
      Height          =   615
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   7
      Text            =   "Ready."
      Top             =   6360
      Visible         =   0   'False
      Width           =   5655
   End
   Begin TextBox eMessage 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   4575
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   5
      Top             =   1680
      Width           =   5895
   End
   Begin TextBox eServer 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   0
      Top             =   240
      Width           =   3495
   End
   Begin Label lPass 
      Alignment       =   1  'Right Justify
      Caption         =   "Password"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   960
      Width           =   1215
   End
   Begin Label lUser 
      Alignment       =   1  'Right Justify
      Caption         =   "User"
      Height          =   255
      Left            =   240
      TabIndex        =   8
      Top             =   600
      Width           =   1095
   End
   Begin Label lMessage 
      Alignment       =   2  'Center
      Caption         =   "Status"
      Height          =   255
      Left            =   2400
      TabIndex        =   6
      Top             =   1320
      Width           =   975
   End
   Begin Label lServer 
      Alignment       =   1  'Right Justify
      Caption         =   "POP3 Server"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1215
   End
   Begin Menu mConnect 
      Caption         =   "Connect"
   End
   Begin Menu mCheckMail 
      Caption         =   "CheckMail"
      Enabled         =   0   'False
   End
   Begin Menu mExit 
      Caption         =   "Exit"
   End
End
Option Explicit

Sub bOK_Click ()
  eResult.Visible = False
  eResult.Text = ""
End Sub

Sub Form_Load ()
Dim Version As Integer
Dim S1, S2, S3 As String
eResult.Visible = True
Version = seeStatistics(SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to connect."
End Sub

Sub mCheckMail_Click ()
Dim I As Integer
Dim N As Integer
Dim NbrMsg As Integer
Dim Code As Integer
Dim Buffer As String * 1024
Dim Temp As String * 256
Dim NL As String
NL = Chr$(13) + Chr$(10)
mCheckMail.Enabled = False
mConnect.Enabled = False
mExit.Enabled = True
' get # messages waiting
eResult.Text = "Getting message count..."
NbrMsg = seeGetEmailCount()
If NbrMsg < 0 Then
  Call ShowError(STATUS, NbrMsg)
  Exit Sub
End If
If NbrMsg = 0 Then
  eResult.Text = "You have no email on the server."
Else
  eMessage.Text = Str$(NbrMsg) & " messages waiting." + NL
  ' read message headers '
  For I = 1 To NbrMsg
    ' read message I
    eMessage.Text = eMessage.Text & "---[ Message " + Str(I) + " ]------------------------------------" + NL
    Code = seeGetEmailLines(I, 0, Buffer, 1024)
    If Code > 0 Then
      ' display "DATE: " line
      N = seeExtractText(Buffer, "Date: ", Temp, 255)
      If N > 0 Then
        eMessage.Text = eMessage.Text & Temp & NL
      End If
      ' display "FROM: " line
      N = seeExtractText(Buffer, "From: ", Temp, 255)
      If N > 0 Then
        eMessage.Text = eMessage.Text & Temp & NL
      End If
      ' display "SUBJECT: " line
      N = seeExtractText(Buffer, "Subject: ", Temp, 255)
      If N > 0 Then
        eMessage.Text = eMessage.Text & Temp & NL
      End If
    End If
  Next I
End If
mCheckMail.Enabled = True
eMessage.Text = eMessage.Text & "------------------------------------------------" + NL
eResult.Text = "Done."
End Sub

Sub mConnect_Click ()
Dim Code As Integer
Dim NullString As String

NullString = ""

'check that POP3 server name has been specifed

If Len(eServer.Text) = 0 Then
  eResult.Text = "Your POP3 server is not specified..."
  Exit Sub
End If

'check USER name

If Len(eUser.Text) = 0 Then
  eResult.Text = "Missing 'User' name..."
  Exit Sub
End If

'check Password

If Len(ePass.Text) = 0 Then
  eResult.Text = "Missing 'Password' ..."
  Exit Sub
End If

' set up log file

Code = seeStringParam(SEE_LOG_FILE, "STATUS.log")

'connect to server

eResult.Visible = True
eResult.Text = "Connecting to POP3 server..."
Code = seePop3Connect(eServer.Text, eUser.Text, ePass.Text)
If Code < 0 Then
  'error in format
  Call ShowError(STATUS, Code)
  Exit Sub
End If
eResult.Text = "Connected. Ready to CheckMail."
mCheckMail.Enabled = True
mConnect.Enabled = False
mExit.Enabled = True
End Sub

Sub mExit_Click ()
Dim Code As Integer
Code = seeClose()
End
End Sub

